// +build prod

package main

import (
	"embed"
	"fmt"
	"io/fs"
	"net/http"
)

//go:embed static

var _assets embed.FS

func sanitizeStaticOptions() error {
	sub, err := fs.Sub(_assets, "static")
	if err != nil {
		return fmt.Errorf("Unable to cd to dist/ directory: %w", err)
	}
	Assets = http.FS(sub)
	return nil
}
