package euroc

import ()

func GetGlobalStats() (stats map[string]int64, err error) {
	var val int64

	stats = map[string]int64{}

	// Number of existing coins
	if err = DBQueryRow("SELECT COUNT(*) FROM coins").Scan(&val); err != nil {
		return
	}
	stats["total"] = val

	// Number of coins in collection (including duplicates)
	if err = DBQueryRow("SELECT COUNT(*) FROM have_coins").Scan(&val); err != nil {
		return
	}
	stats["have"] = val

	// Number of distinct coins in collection
	if err = DBQueryRow("SELECT COUNT(DISTINCT id_coin) FROM have_coins").Scan(&val); err != nil {
		return
	}
	stats["distinct"] = val

	// Number of countries represented in the collection
	if err = DBQueryRow("SELECT COUNT(DISTINCT id_country) FROM have_coins H NATURAL JOIN coins").Scan(&val); err != nil {
		return
	}
	stats["countries"] = val

	// Total countries existing
	if err = DBQueryRow("SELECT COUNT(id_country) FROM countries").Scan(&val); err != nil {
		return
	}
	stats["max_countries"] = val

	return
}
